﻿# Timed menu example by Jamey Stevenson
# This example shows how you can set up menu-based choices with a time limit for the player to select an option.

init python:
    # The time variable is used to track the amount of time that has elapsed since we started the decision countdown.
    time = 4
    
    # The timerRange variable stores the number of seconds that the player will have to make a decision.
    timerRange = time
    
    # The timerJump variable stores the name of the label we will jump to if the timer elapses before the player
    # clicks on a menu button to make a decision.
    timerJump = "noDecisionMade"

# Define our background and character images
image bg wall = "brickWall.png"
image jamey normal = "jamey.png"
image jamey monster = "monster.png"

# This screen will be used to display the countdown timer showing how long the player has left to make a decision.
screen countdown:
    timer 0.01 repeat True action If(time > 0, true=SetVariable('time', time - 0.01), false=[Hide('countdown'), Jump(timerJump)])
    
    # This is the timer bar we will use to display the countdown.
    bar value time range timerRange xalign 0.5 yalign 0.9 xmaximum 300 at top

# The game starts here.
label start:
    
    scene bg wall
    
    show jamey normal
    
    "Jamey" "Hello there!"
    "Jamey" "This example project is meant to show you how to set up timed menus."
    "Jamey" "You can use timed menus to force the player to make quick decisions."
    "Jamey" "So, pop quiz..."
    
    # Using the show screen statement causes Ren'Py to start the decision timer countdown.
    show screen countdown
    
    menu:
        "Jamey" "What is your favorite cartoon?"
        
        "Steven Universe":
            hide screen countdown
            "Jamey" "Really? That's my favorite, too!"
            "Jamey" "Crystal Gems forever!"
        "Family Guy":
            hide screen countdown
            "Jamey" "That's cool. It's not my favorite, though."
        "South Park":
            hide screen countdown
            "Jamey" "Yeah, South Park is pretty good."

    return

label noDecisionMade:
    
    show jamey monster
    
    "Jamey" "Too late! You waited too long to decide, and now I'm a MONSTER!"
    
    return
    